org.eclipse.aether.spi.log

## Class NullLoggerFactory

- java.lang.Object
- - org.eclipse.aether.spi.log.NullLoggerFactory

- All Implemented Interfaces:
    LoggerFactory

      public final class NullLoggerFactory
      extends Object
      implements LoggerFactory

  A logger factory that disables any logging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggerFactory` | `INSTANCE` The singleton instance of this factory.
    `static Logger` | `LOGGER` The singleton logger used by this factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Logger` | `getLogger(String name)` Gets a logger for a class with the specified name.
    `static Logger` | `getSafeLogger(LoggerFactory loggerFactory, Class<?> type)` Gets a logger from the specified factory for the given class, falling back to a logger from this factory if the specified factory is `null` or fails to provide a logger.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggerFactory INSTANCE

      The singleton instance of this factory.

    - #### LOGGER

          public static final Logger LOGGER

      The singleton logger used by this factory.

  - ### Method Detail

    - #### getLogger

          public Logger getLogger(String name)

      Description copied from interface: `LoggerFactory`
      Gets a logger for a class with the specified name.
      Specified by:
        `getLogger` in interface `LoggerFactory`
      Parameters:
        `name` - The name of the class requesting a logger, must not be `null`.
      Returns:
        The requested logger, never `null`.

    - #### getSafeLogger

          public static Logger getSafeLogger(LoggerFactory loggerFactory,
                             Class<?> type)

      Gets a logger from the specified factory for the given class, falling back to a logger from this factory if the specified factory is `null` or fails to provide a logger.
      Parameters:
        `loggerFactory` - The logger factory from which to get the logger, may be `null`.
        `type` - The class for which to get the logger, must not be `null`.
      Returns:
        The requested logger, never `null`.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.